package org.xyzh.common.dto.system;

import org.xyzh.common.dto.BaseDTO;

/**
 * @description 系统模块表
 * @filename TbSysModule.java
 * @author yslg
 * @copyright xyzh
 * @since 2025-10-16
 */
public class TbSysModule extends BaseDTO {
    
    private static final long serialVersionUID = 1L;
    
    /**
     * @description 模块ID
     */
    private String moduleID;
    
    /**
     * @description 模块名称
     */
    private String name;
    
    /**
     * @description 模块代码
     */
    private String code;
    
    /**
     * @description 模块描述
     */
    private String description;
    
    /**
     * @description 模块图标
     */
    private String icon;
    
    /**
     * @description 模块排序号
     */
    private Integer orderNum;
    
    /**
     * @description 模块状态（0禁用 1启用）
     */
    private Integer status;
    
    /**
     * @description 创建者
     */
    private String creator;
    
    /**
     * @description 更新者
     */
    private String updater;

    public String getModuleID() {
        return moduleID;
    }

    public void setModuleID(String moduleID) {
        this.moduleID = moduleID;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public String getIcon() {
        return icon;
    }

    public void setIcon(String icon) {
        this.icon = icon;
    }

    public Integer getOrderNum() {
        return orderNum;
    }

    public void setOrderNum(Integer orderNum) {
        this.orderNum = orderNum;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public String getCreator() {
        return creator;
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }

    public String getUpdater() {
        return updater;
    }

    public void setUpdater(String updater) {
        this.updater = updater;
    }

    @Override
    public String toString() {
        return "TbSysModule{" +
                "id=" + getID() +
                ", moduleID='" + moduleID + '\'' +
                ", name='" + name + '\'' +
                ", code='" + code + '\'' +
                ", description='" + description + '\'' +
                ", icon='" + icon + '\'' +
                ", orderNum=" + orderNum +
                ", status=" + status +
                '}';
    }
}
